var dir = "../../images/chat/";
var maxLength = 3000;// 输入最大字符
var jgtime = 60*1000;
var working = true;
var lasttime = 0;
var popindex = null;
var MAX_ITEM = 18;
var footerPadding = $('.layim-chat-footer').height() - $('#textwarp').height();
//表情库
var faces = function(){
	var alt = ["[微笑]", "[嘻嘻]", "[哈哈]", "[可爱]", "[可怜]", "[挖鼻]", "[吃惊]", "[害羞]", "[挤眼]", "[闭嘴]", "[鄙视]", "[爱你]", "[泪]", "[偷笑]", "[亲亲]", "[生病]", "[太开心]", "[白眼]", "[右哼哼]", "[左哼哼]", "[嘘]", "[衰]", "[委屈]", "[吐]", "[哈欠]", "[抱抱]", "[怒]", "[疑问]", "[馋嘴]", "[拜拜]", "[思考]", "[汗]", "[困]", "[睡]", "[钱]", "[失望]", "[酷]", "[色]", "[哼]", "[鼓掌]", "[晕]", "[悲伤]", "[抓狂]", "[黑线]", "[阴险]", "[怒骂]", "[互粉]", "[心]", "[伤心]", "[猪头]", "[熊猫]", "[兔子]", "[ok]", "[耶]", "[good]", "[NO]", "[赞]", "[来]", "[弱]", "[草泥马]", "[神马]", "[囧]", "[浮云]", "[给力]", "[围观]", "[威武]", "[奥特曼]", "[礼物]", "[钟]", "[话筒]", "[蜡烛]", "[蛋糕]"], arr = {};
	$.each(alt, function(index, item){
  		arr[item] = dir + index + '.gif';
	});
	return arr;
}();
var chat = {
	data : {
		textarea_id: "#textwarp",
		send_id:"#submitSend",
		main_id:".layim-chat-main",
		list_id:".layim-chat-main ul"
	},
	//底部弹出
  	popBottom : function(options){
    	layer.close(popindex);
    	popindex = layer.open($.extend({
      		type: 1
      		,content: options.content || ''
      		,shade: false
      		,className: 'layim-layer'
    	}, options));
  	},
	//设置当前会话状态
	setChatStatus : function(str){
    	//var status = $('.layim-chat-status');
    	//return status.html(str);
  	},
  	//补齐数位
	digit : function(num){
		return num < 10 ? '0' + (num|0) : num;
	},
	//转换时间
  	date : function(timestamp){
    	var d = new Date(timestamp||new Date());
    	return chat.digit(d.getMonth() + 1) + '-' + chat.digit(d.getDate()) + ' ' + chat.digit(d.getHours()) + ':' + chat.digit(d.getMinutes());
  	},
  	//转换内容
	content : function(content){
    	//支持的html标签
    	var html = function(end){
      		return new RegExp('\\n*\\['+ (end||'') +'(pre|div|p|table|thead|th|tbody|tr|td|ul|li|ol|li|dl|dt|dd|h2|h3|h4|h5)([\\s\\S]*?)\\]\\n*', 'g');
    	};
    	content = (content||'').replace(/&(?!#?[a-zA-Z0-9]+;)/g, '&amp;')
    	.replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/'/g, '&#39;').replace(/"/g, '&quot;') //XSS
    	.replace(/@(\S+)(\s+?|$)/g, '@<a href="javascript:;">$1</a>$2') //转义@
    	.replace(/\s{2}/g, '&nbsp;') //转义空格
    	.replace(/img\[([^\s]+?)\]/g, function(img){  //转义图片
      		return '<img class="layui-layim-photos" src="' + img.replace(/(^img\[)|(\]$)/g, '') + '">';
    	})
    	.replace(/voice\[([^\s]+?)\]/g, function(voice){  //转义图片
      		return '<span class="msg_voice" onclick="play_voice(this,\''+voice.replace(/(^voice\[)|(\]$)/g, '')+'\');return false;"><span class="mui-icon mui-icon-mic" style="font-size: 18px;font-weight: bold;"></span>'+
				'<span class="play-state">点击播放</span></span>';
    	})
    	.replace(/file\([\s\S]+?\)\[[\s\S]*?\]/g, function(str){ //转义文件
      		var href = (str.match(/file\(([\s\S]+?)\)\[/)||[])[1];
      		var text = (str.match(/\)\[([\s\S]*?)\]/)||[])[1];
      		if(!href) return str;
      		return '<a class="layui-layim-file" href="'+ href +'" target="_blank"><i class="layui-icon">&#xe61e;</i><cite>'+ (text||href) +'</cite></a>';
    	})
    	.replace(/housedetail\[([^\s]+?)\]/g, function(housedetail){  //转义房源
	      var house_href ="",house_img="",house_name="",house_price="",house_addr="",house_detail="",house_room="",house_area="";
	      housedetail.replace(/houselink\{([^\s]+?)\}/g, function(houselink){
	        house_href = houselink.replace(/(^houselink\{)|(\}$)/g, '');
	      });
	      housedetail.replace(/houseimg\{([^\s]+?)\}/g, function(houseimg){
	        house_img = houseimg.replace(/(^houseimg\{)|(\}$)/g, '');
	      });
	      housedetail.replace(/housename\{([^\s]+?)\}/g, function(housename){
	        house_name = housename.replace(/(^housename\{)|(\}$)/g, '');
	      });
	      housedetail.replace(/houseprice\{([^\s]+?)\}/g, function(houseprice){
	        house_price = houseprice.replace(/(^houseprice\{)|(\}$)/g, '');
	      });
	      housedetail.replace(/houseroom\{([^\s]+?)\}/g, function(houseroom){
	        house_room = houseroom.replace(/(^houseroom\{)|(\}$)/g, '');
	      });
	      housedetail.replace(/housearea\{([^\s]+?)\}/g, function(housearea){
        	house_area = housearea.replace(/(^housearea\{)|(\}$)/g, '');
      	  });
	      house_detail = "<div class='houseinfo_box'>\
	                        <a href='javascript:open_href(\""+ house_href +"\");'>\
	                        <div class='houseinfo_box_left'>\
	                        <img src='"+house_img+"'></div>\
	                        <div class='houseinfo_box_right'>\
	                          <div class='houseinfo_title'>"+house_name+"</div>\
	                          <div class='houseinfo_price'>"+house_room+"&nbsp;&nbsp;"+house_area+"&nbsp;&nbsp;"+house_price+"</div>\
	                        </div>\
	                      </a></div>";
	      return house_detail;
	    })
    	.replace(/face\[([^\s\[\]]+?)\]/g, function(face){  //转义表情
      	var alt = face.replace(/^face/g, '');
      		return '<img alt="'+ alt +'" title="'+ alt +'" src="' + faces[alt] + '">';
    	}).replace(/a\([\s\S]+?\)\[[\s\S]*?\]/g, function(str){ //转义链接
      	var href = (str.match(/a\(([\s\S]+?)\)\[/)||[])[1];
      	var text = (str.match(/\)\[([\s\S]*?)\]/)||[])[1];
      	if(!href) return str;
      	return '<a href="javascript:open_href(\''+ href +'\');">'+ (text||href) +'</a>';
    	}).replace(html(), '\<$1 $2\>').replace(html('/'), '\</$1\>') //转移HTML代码
    	.replace(/\n/g, '<br>') //转义换行 
    	return content;
  	},
    
 	//发送消息
  	sendMessage : function(m){
  		show_load("发送中...");

	    var ul = $(chat.data.list_id);//列表
	    var time = new Date().getTime();//当前时间
	    var data = chat_from;
	    data['uid_to'] = uid_to;
	    data['uid_from'] = uid_from;
	    data.token = token;
	    data.mine = true;

	    data.content = $(chat.data.textarea_id).val();//文本
	    if(m){data.content = m;}
	    if(data.content === '') return;
	    if(data.content.length > maxLength){
	      return chat.showMsg('内容最长不能超过'+ maxLength +'个字符！');
	    }
	    //服务器发送信息
	    $.post("https://jia.0577home.net/app/chatapp/send_message",data,function(r){
	    	close_load();
	    	//错误信息
			if(r.flag < 0){
				working = false;chat.showMsg(r.msg);return;
			}
			//时间显示
		    if(time - (lasttime||0) > jgtime){
		      ul.append('<li class="layim-chat-system"><span>'+ chat.date() +'</span></li>');
		      lasttime = time;
		    }
		    // console.log(r.hid);
		    // console.log(minid);
		    data.hid = r.hid;
		    data.content = chat.content(data.content);
		    ul.append(chat.render(data));
		    //更新minid
		    if(minid == 0){minid = data.hid;}
		    //初始化消息
		    chat.scrollto_end();
		    $(chat.data.textarea_id).val('').trigger('input').focus();		    
		    working = false;
		},"json");	    
  	},
  	//发送消息
  	sendVoice : function(url,path,hid,msec){
	    var ul = $(chat.data.list_id);//列表
	    var time = new Date().getTime();//当前时间
	    var data = chat_from;
	    data['uid_to'] = uid_to;
	    data['uid_from'] = uid_from;
	    data.token = token;
	    data.mine = true;
	    data.hid = hid;
	    data.msec = Math.round((msec || 0)/1000);
	    data.content = "voice["+path+"]";
		//时间显示
	    if(time - (lasttime||0) > jgtime){
	      ul.append('<li class="layim-chat-system"><span>'+ chat.date() +'</span></li>');
	      lasttime = time;
	    }
	    data.content = chat.content(data.content);
	    ul.append(chat.render(data));
	    //更新minid
		if(minid == 0){minid = data.hid;}
	    chat.scrollto_end();
	    working = false;   
  	},
  
	//消息声音提醒
	voice : function() {
		var audio = document.createElement("audio");
	    audio.src = dir + "default.wav";
	    audio.play();
	},
  
	//接受消息
	getMessage : function(data){
	    data = data || {};   
	    data.timestamp = data.timestamp || new Date().getTime();
	    data.lxr = chat_to.lxr;
	    data.avatar = chat_to.avatar;
	    data.content = chat.content(data.content);
	    if(data.msec){
	    	data.msec = Math.round((data.msec || 0)/1000);
	    }

	    var messageNew = JSON.parse(JSON.stringify(data));
	    //chat.voice();//提示音
	    var ul = $(chat.data.list_id);
	    //系统消息
	    if(data.content.replace(/\s/g, '') !== ''){
	      if(data.timestamp - (lasttime||0) > jgtime){
	        ul.append('<li class="layim-chat-system"><span>'+ chat.date(data.timestamp) +'</span></li>');
	        lasttime = data.timestamp;
	      }
	      ul.append(chat.render(data));
	    }
	    //更新minid
		if(minid == 0){minid = data.hid;}
	    chat.scrollto_end();
	},

	add_his : function(data){
		var list = data.list;
		var ul = $(chat.data.list_id);
	    var html = "";
	    var ltime = 0;
	    var hid = minid;
	    $.each(list, function(index, item){
	    	if(index == 0){minid = item.hid;}
	    	item.timestamp = item.timestamp*1000 || new Date().getTime()*1000;
	    	if(item.from == uid_from){
	    		item.mine = true;
	    		chat_obj = chat_from;
	    	}else{
	    		chat_obj = chat_to;
	    	}
		    item.lxr = chat_obj.lxr;
		    item.avatar = chat_obj.avatar;
		    var json = JSON.parse(item.data);
		    //音频输出
	    	if(json.path && item.from == uid_from){
	    		json.content = "voice["+json.path+"]";
	    	}
	    	if(json.msec){
	    		//item.msec = json.msec;
	    		item.msec = Math.round((json.msec || 0)/1000);
	    	}
		    item.content = chat.content(json.content);
	      	if(new Date().getTime() > item.timestamp && item.timestamp - (ltime||0) > jgtime){
	        	html += '<li class="layim-chat-system"><span>'+ chat.date(item.timestamp) +'</span></li>';
	        	ltime = item.timestamp;
	      	}
	      	html += chat.render(item);
	    });
	    ul.prepend(html);
        afterAdd();
        if(minid > 0 && $("#chat_"+hid).length > 0){
//      	myScroll.scrollToElement(($("#chat_"+hid).prev())[0],0,0,-15);	
        }else{
//      	myScroll.scrollToElement(($('.layim-chat-li:last'))[0],0,0,0);
			chat.scrollto_end();
        }
        
        
	    
	    //console.log(200);
	},
  
	//渲染本地最新聊天记录到相应面板
	viewChatlog :function(list){
	    var ul = $(chat.data.list_id);
	    var html = "";
	    if(!list){
	    	return;
	    }
	    $.each(list, function(index, item){
	    	if(index == 0){minid = item.hid;}
	    	item.timestamp = item.timestamp*1000 || new Date().getTime()*1000;
	    	if(item.from == uid_from){
	    		item.mine = true;
	    		chat_obj = chat_from;
	    	}else{
	    		chat_obj = chat_to;
	    	}
		    item.lxr = chat_obj.lxr;
		    item.avatar = chat_obj.avatar;
		    var json = JSON.parse(item.data);
		    //音频输出
	    	if(json.path && item.from == uid_from){
	    		json.content = "voice["+json.path+"]";
	    	}
	    	if(json.msec){
	    		item.msec = Math.round((json.msec || 0)/1000);
	    	}
		    item.content = chat.content(json.content);
	      	if(new Date().getTime() > item.timestamp && item.timestamp - (lasttime||0) > jgtime){
	        	html += '<li class="layim-chat-system"><span>'+ chat.date(item.timestamp) +'</span></li>';
	        	lasttime = item.timestamp;
	      	}
	      	html += chat.render(item);
	    });
	    ul.append(html);
	},
	//存储最近MAX_ITEM条聊天记录到本地
  	pushChatlog : function(message){
	    var local = store.get('wzhouse-app-'+uid_from) || {};
	    var chatlog = local.chatlog || {};    
	    if(chatlog[message.type + uid_to]){
	      chatlog[message.type + uid_to].push(message);
	      if(chatlog[message.type + uid_to].length > MAX_ITEM){
	        chatlog[message.type + uid_to].shift();
	      }
	    } else {
	      chatlog[message.type + uid_to] = [message];
	    }
	    local.chatlog = chatlog;
	    store.set('wzhouse-app-'+uid_from,local);
	},
  	//快捷键发送
  	hotkeySend : function(){
  		var textarea = $(chat.data.textarea_id);
  		var btn = $(chat.data.send_id);
	    textarea.off('focus').on('focus',function(){
	    	if($(".layui-layim-face").size() > 0){
				chat.faceHide();return;
			}
	    });
	    //输入
	    textarea.off('input').on('input', function(e){
	      	btn[textarea.val() === '' ? 'addClass' : 'removeClass']('layui-disabled');
	      	chat.change_height();
	    });
  	},
  	change_height:function(){
  		var textarea = $(chat.data.textarea_id);
  		$("#h").text(textarea.val().replace(new RegExp('\n', 'gm'), '\n-') || '-');
  		var h_height = $("#h").height();
  		//console.log("st"+h_height);
  		if(h_height <= 27){h_height = 27;}
  		if(h_height >= 76){h_height = 76;}
  		textarea.height(h_height);
  		//console.log("sd"+h_height);
      	$(".layim-chat-footer").height(h_height+footerPadding);
      	$('.layim-chat-main').css('bottom',$(".layim-chat-footer").height());
//    	myScroll.refresh();
  	},
  	scrollto_end:function(){
  		setTimeout(function(){
//			myScroll.refresh();
	    	if($('.layim-chat-li').length > 0){
//      		myScroll.scrollToElement(($('.layim-chat-li:last'))[0],0,0,0);
				var wrap = $('.main-wrap');
//				console.log(wrap[0].scrollHeight);
				$('#layim-chat-main').scrollTop(wrap[0].scrollHeight);
        	}else{
	        	//myScroll.scrollTo(0, myScroll.maxScrollY);
        	}
  		},100);
  	},
  	init_resize:function(){
  		$(window).resize( function(){
    		scrollList.css('height','');
//		    var scrollh = scrollList.height() || 0;
//		    // console.log(scrollh);
//		    // console.log($('#'+wrapper).height());
//		    if(scrollh <= $('#'+wrapper).height()){// 列表不够高
//		      scrollList.height($('#'+wrapper).height()+1);
//		      //console.log(scrollList.height());
//		    }
//		    myScroll.refresh();
	    	chat.scrollto_end();
    	});
  	},
  	//在焦点处插入内容
  	focusInsert : function(obj, str, nofocus){
	    var result, val = obj.value;
	    nofocus || obj.focus();
	    if(document.selection){ //ie
	      result = document.selection.createRange(); 
	      document.selection.empty(); 
	      result.text = str; 
	    } else {
	      result = [val.substring(0, obj.selectionStart), str, val.substr(obj.selectionEnd)];
	      nofocus || obj.focus();
	      obj.value = result.join('');
	      chat.change_height();
	    }
  	},
	//表情
	face : function(e){
		if(e.target.className == "my_face_icon" && $(".layui-layim-face").size() > 0){
			chat.faceHide();return;
		}

	  	var content = '', input = $(chat.data.textarea_id),btn=$(chat.data.send_id);
	  	$.each(faces, function(key, item){
	    	content += '<li title="'+ key +'"><img src="'+ item +'"></li>';
	  	});
	  	content = '<ul class="layui-layim-face">'+ content +'</ul>';
	  	chat.popBottom({
	    	content: content
	    	,success: function(elem){
	      		var list = $(elem).find('.layui-layim-face>li')
	      		list.on('click', function(){
	        		chat.focusInsert(input[0], 'face' +  this.title + ' ', true);
	        		btn[input.val() === '' ? 'addClass' : 'removeClass']('layui-disabled');
	        		return false;
	      		});
	    	}	
		});
		$(document).off('click', chat.faceHide).on('click', chat.faceHide);
      	chat.stope(e);
	},
	faceHide : function(){
      layer.close(popindex);
    },
    //阻止事件冒泡
	stope : function(e){
	  e = e || window.event;
	  e.stopPropagation ? e.stopPropagation() : e.cancelBubble = true;
	},
	//图片或一般文件

	image : function(othis){
      // var type = othis.data('type') || 'images', api = {
      //   images: 'uploadImage'
      //   ,file: 'uploadFile'
      // }
      // ,thatChat = thisChat(), upload = cache.base[api[type]] || {};
      // upload({
      //   url: upload.url || ''
      //   ,method: upload.type
      //   ,elem: othis.find('input')[0]
      //   ,unwrap: true
      //   ,type: type
      //   ,success: function(res){
      //     if(res.code == 0){
      //       res.data = res.data || {};
      //       if(type === 'images'){
      //         focusInsert(thatChat.textarea[0], 'img['+ (res.data.src||'') +']');
      //       } else if(type === 'file'){
      //         focusInsert(thatChat.textarea[0], 'file('+ (res.data.src||'') +')['+ (res.data.name||'下载文件') +']');
      //       }
      //       sendMessage();
      //     } else {
      //       layer.msg(res.msg||'上传失败');
      //     }
      //   }
      // });
    },
    //聊天记录
    chatLog: function(othis){
      // var thatChat = thisChat();
      // layui.each(call.chatlog, function(index, item){
      //   item && item({
      //     id: thatChat.data.id
      //     ,type: thatChat.data.type
      //     ,elem: thatChat.elem.find('.layim-chat-main>ul')
      //   });
      // });
    },
    removeFile:function(path){
    	//获取路径
    	plus.io.resolveLocalFileSystemURL(path, function(entry) {
            var localurl = entry.toLocalURL();
            entry.remove(function(e) {
            	console.log("删除成功");
            }, function(e) {
                console.log("删除失败");
            });
        });
    },	
	init : function(data){
		chat.hotkeySend();//绑定按键
		chat.init_resize();
		chat.viewChatlog(data.list);
		add_link();
		afterAdd();
		chat.scrollto_end();
		//发送
		$(chat.data.send_id).on('click',function(){ 
			if(working) return false;
			working = true;
			chat.sendMessage();
			return false;
		});
		//表情
		$(".my_face").on('click',function(e){
			chat.face(e);
			return false;
		});
		//常用语
		$('.my_more').on('click',function(){
			//底部对话框
			plus.nativeUI.actionSheet( {title:"常用语",cancel:"取消",buttons:ccy_arr}, function(e){
				//console.log( "User pressed: "+e.index );
				if(e.index > 0 ){
					$(chat.data.textarea_id).val(ccy_arr[e.index-1].title).trigger('input');
				}
			});
		});
		//语音切换
		$(".my_yuyin_icon").on('click',function(){
			if($(this).hasClass('my_jianpan_icon')){//目前语音模式
				$('.layim-chat-footer').removeClass("fixh");
//				myScroll.refresh();
				$(this).removeClass('my_jianpan_icon');
				$('.my_talk').addClass("disp_hide");
				$('.my_input,.my_face,.my_more,#submitSend').removeClass("disp_hide");
				$(chat.data.textarea_id).focus();
				setTimeout(function() {
					$(chat.data.textarea_id).focus();
				}, 150);
			}else{
				$('.layim-chat-footer').addClass("fixh");
//				myScroll.refresh();
				$(this).addClass('my_jianpan_icon');
				$('.my_talk').removeClass("disp_hide");
				$('.my_input,.my_face,.my_more,#submitSend').addClass("disp_hide");
				chat.faceHide();
				$(chat.data.textarea_id).blur();
				document.body.focus();
			}
		});
		//语音输入
		boxMsgSound.addEventListener('hold', function(event) {
			//正在工作
			if(working) return false;

			recordCancel = false;
			if(stopTimer) clearTimeout(stopTimer);
			audio_tips.innerHTML = "手指上划，取消发送";
			boxSoundAlert.classList.remove('rprogress-sigh');
			setSoundAlertVisable(true);
			recorder = plus.audio.getRecorder();
			if (recorder == null) {
				plus.nativeUI.toast("不能获取录音对象");
				return;
			}
			startTimestamp = (new Date()).getTime();
			recorder.record({
				filename: "_doc/audio/"
			}, function(path) {
				working = true;
				//获取路径
		    	plus.io.resolveLocalFileSystemURL(path, function(entry) {
		            var localurl = entry.toLocalURL();
		            if (0 != localurl.toString().indexOf("file://")) {
		                localurl = "file://" + localurl;
		            }
		            //结束时间
					stopTimestamp = (new Date()).getTime();
					var msec = stopTimestamp - startTimestamp;
					if (recordCancel || msec > MAX_SOUND_TIME){
					//if (recordCancel){
						entry.remove(function(e) {
			            	console.log("删除成功");
			            }, function(e) {
			                console.log("删除失败");
			            });
						working = false;
						return;	
					}else{					
						upload_voice(localurl,path,msec);
					}
		            
		        });

				
			}, function(e) {
				plus.nativeUI.toast("录音时出现异常: " + e.message);
			});
		}, false);
		body.addEventListener('drag', function(event) {
			//console.log('drag');
			if (Math.abs(event.detail.deltaY) > 50) {
				if (!recordCancel) {
					recordCancel = true;
					if (!audio_tips.classList.contains("cancel")) {
						audio_tips.classList.add("cancel");
					}
					audio_tips.innerHTML = "松开手指，取消发送";
				}
			} else {
				if (recordCancel) {
					recordCancel = false;
					if (audio_tips.classList.contains("cancel")) {
						audio_tips.classList.remove("cancel");
					}
					audio_tips.innerHTML = "手指上划，取消发送";
				}
			}
		}, false);
		boxMsgSound.addEventListener('release', function(event) {
			//console.log('release');
			if (audio_tips.classList.contains("cancel")) {
				audio_tips.classList.remove("cancel");
				audio_tips.innerHTML = "手指上划，取消发送";
			}
			//
			stopTimestamp = (new Date()).getTime();
			if (stopTimestamp - startTimestamp < MIN_SOUND_TIME) {
				audio_tips.innerHTML = "录音时间太短";
				boxSoundAlert.classList.add('rprogress-sigh');
				recordCancel = true;
				stopTimer=setTimeout(function(){
					setSoundAlertVisable(false);
				},800);
			}else{
				setSoundAlertVisable(false);
			}
			recorder.stop();
		}, false);
		boxMsgSound.addEventListener("touchstart", function(e) {
			//console.log("start....");
			e.preventDefault();
		});
		//语音输入
		//点击列表
//		boxMsgText.addEventListener('tap', function(event) {
//			boxMsgText.focus();
//			setTimeout(function() {
//				boxMsgText.focus();
//			}, 0);
//			focus = true;
//			setTimeout(function () {
//				focus = false;
//			},1000);
//			event.detail.gesture.preventDefault();
//		}, false);
		//点击消息列表，关闭键盘
//		areaMsgList.addEventListener('click',function (event) {
//			if(!focus){
//				boxMsgText.blur();
//			}
//		})
		//点击列表
		working = false;
		return;
	},
	render : function(data){
		return template('temp', data);
	},
	showMsg : function(msg){
		mui.toast(msg);
	}
};

// 上传
function upload_voice(url,path,msec){
	//plus.nativeUI.showWaiting("发送中...",{round:3});
	show_load("发送中...");

    var task = plus.uploader.createUpload(
        "https://jia.0577home.net/app/chatapp/upload_voice",
        { method:"POST",blocksize:204800,priority:100},
        function (t,s) {
        	close_load();
        	//console.log(t);
            var obj = JSON.parse(t.responseText);
            if(obj.flag < 0){
            	mui.toast(obj.msg);
            	working = false;
            	return;
            }
            var serverImgUrl = obj.voice.up_key.url;
            var hid = obj.voice.up_key.hid;
            if(s==200){
                chat.sendVoice(serverImgUrl,path,hid,msec);
            }else{
                alert("语音上传失败！");
            }
        }
    );
    task.addFile(url, {key:"up_key"} );
    //{client_id: data.client_id,uid_to:uid_to,uid_from:uid_from,token:token}
    task.addData("msec",msec+"");
    task.addData( "uid_to", uid_to );
    task.addData( "uid_from", uid_from );
    task.addData( "token", token );
    task.addData( "path", path );    
    task.start();
}

var player=null,playState=null;
function play_voice (obj,url) {
	show_load('加载中...');
	//解析url
	if(url.indexOf("http\:\/\/jia.0577home.net") >= 0 ){
		var file = url.substr(url.lastIndexOf("/")+1);
		plus.io.requestFileSystem( plus.io.PRIVATE_DOC, function( fs ) {  
			// 可通过fs进行文件操作
			var new_url = "_doc/audio/"+file;
			fs.root.getDirectory("_doc",{create:true,exclusive:false},function(f1){
				// console.log(f1);
				f1.getDirectory("audio",{create:true,exclusive:false},function(f2){
					// console.log(f2);
					f2.getFile(file,{},function(){
						// console.log("已存在");
						close_load();
						fun_play(obj,new_url);
					},function(){
						//下载
						var dtask = plus.downloader.createDownload(url, {filename:new_url}, function ( d, status ) { 
							if ( status == 200 ) { 
								console.log( "Download success: " + d.filename );
								close_load();
								fun_play(obj,new_url);
								//$.post("https://jia.0577home.net/app/chatapp/read_voice",{hid:$(obj).closest('li').attr("hid"),uid_to:uid_to,uid_from:uid_from,token:token},function(e){console.log(e);})
							} else {
								close_load();
								console.log("Download error ");
								alert("加载失败，消息已过期或已被清理！");
							}  
						});
						dtask.start();
					});
				},function(e){
					close_load();
					alert("获取audio目录失败！失败信息："+e);
				});
			},function(e){
				close_load();
				alert("获取_doc目录失败！失败信息："+e);
			});
			
		}, function ( e ) {
			//获取_doc文件权限
			close_load();
			alert("获取根目录失败！失败信息："+e);
		} );  
	}else{
		close_load();
		fun_play(obj,url);
	}
	
}
var timeout1 = null;
var index1 = 0;
function fun_play(obj,url){
	//播放
	if(player){clearInterval(timeout1);player.stop();playState.html('点击播放');}
	player = plus.audio.createPlayer(url);
	playState = $(obj).find(".play-state");
	timeout1 = setInterval(function(){
		if(index1 > 3) index1 = 0;
		var dot = "";
		for (var i = index1; i > 0; i--) dot +=".";
		playState.html('正在播放'+dot);
		index1++;
	},200);
	player.play(function() {
		clearInterval(timeout1);
		index1 = 0;
		playState.html('点击播放');
	}, function(e) {
		clearInterval(timeout1);
		index1 = 0;
		alert("加载失败，消息已过期或已被清理！");
		//console.log("play error!");
		playState.html('点击播放');
	});
}
var openwin1 = null;
function open_href(k){
	if(openwin1) openwin1.close();
    openwin1 = mui.openWindow({
        url: '../link.html',
        id: 'link.html',
        extras:{link:k}
    });
    return false;
}

function add_link(){
	if(house_json){
		var ul = $(chat.data.list_id);
		ul.append(template("temp1",house_json));
	}
}

function send_link(){
	if(working) return false;
	working = true;
	var houselink  = "houselink{"+house_json.houselink+"}";
    var houseimg   = "houseimg{"+house_json.houseimg+"}";
    var housename = "housename{"+house_json.housename+"}";
    var houseroom = "houseroom{"+house_json.houseroom+"}";
    var housearea = "housearea{"+house_json.housearea+"}";
    var houseprice = "houseprice{"+house_json.houseprice+"}";
    var text = "housedetail["+houselink+houseimg+housename+houseprice+houseroom+housearea+"]"; 
	chat.sendMessage(text);
}

function show_load(txt){
	//plus.nativeUI.showWaiting("发送中...",{round:3});
	$('#t-alert').html(txt).show();
}

function close_load(){
	// plus.nativeUI.closeWaiting();
	$('#t-alert').hide();
}