//add showDiv
var showDiv = document.createElement("div");
showDiv.setAttribute("class", "pswp");
showDiv.setAttribute("tabindex", "-1");
showDiv.setAttribute("role", "dialog");
showDiv.setAttribute("aria-hidden", "true");
showDiv.innerHTML = '<div class="pswp__bg"></div><div class="pswp__scroll-wrap"><div class="pswp__container"><div class="pswp__item"></div><div class="pswp__item"></div><div class="pswp__item"></div></div><div class="pswp__ui pswp__ui--hidden"><div class="pswp__top-bar"><div class="pswp__counter"></div><button class="pswp__button pswp__button--close" title="Close (Esc)"></button> <button class="pswp__button pswp__button--share" title="Share"></button> <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button> <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>  <div class="pswp__preloader"><div class="pswp__preloader__icn"><div class="pswp__preloader__cut"><div class="pswp__preloader__donut"></div></div></div></div></div><div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap"><div class="pswp__share-tooltip"></div></div><button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)"></button> <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)"></button><div class="pswp__caption"><div class="pswp__caption__center"></div></div></div></div>';
document.body.appendChild(showDiv);//把元素放进body标签里面
var defaultWidth = "1024";
var defaultHeight = "800";
var winWidth = document.documentElement.clientWidth;
var winHeight = document.documentElement.clientHeight;

var openPhotoSwipe = function(index,pswpElement) {
	// build items array
	var items = [];
	var galleryElements = document.querySelectorAll(".preview");
	for(var i = 0, l = galleryElements.length; i < l; i++) {
		var obj = galleryElements[i];
		
		var item = {};
		var src = obj.getAttribute("src");
		if(src){
			item.src = src;
			var w1 = winWidth;
			var h1 =  Math.floor(obj.offsetHeight/obj.offsetWidth*winWidth);
			if(h1 > winHeight){
				h1 = winHeight;
				w1 = Math.floor(obj.offsetWidth/obj.offsetHeight*winHeight);
			}
			item.w = w1 ||obj.offsetWidth || obj.getAttribute('w') || defaultWidth;
				item.h = h1 ||obj.offsetHeight || obj.getAttribute('h') || defaultHeight;
			items.push(item);
		}
	}
	// define options (if needed)
    var options = {
    	closeOnScroll:false,closeOnVerticalDrag:false,pinchToClose:false,
    	history: false,fullscreenEl:false,tapToClose:true,captionEl:false,
		maxSpreadZoom:4,shareEl:false,index:parseInt(index, 10)
    };
    var galleryPhoto = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);
    galleryPhoto.init();
};

function initPerswipe(dw,dh){
	if(dw) defaultWidth = dw;
	if(dh) defaultHeight = dh;
	// 去空
	/*
	var galleryElements = document.querySelectorAll(".preview");
	for(var i = 0, l = galleryElements.length; i < l; i++) {
		var src = galleryElements[i].getAttribute("src");
		//console.log("i="+i+"=="+src);
		if(!src){
			removeClass(galleryElements[i],"preview");
		}
	}
	*/
	galleryElements = document.querySelectorAll(".preview");
	for(var j = 0, l = galleryElements.length; j < l; j++) {
		var src = galleryElements[j].getAttribute("src");
		//console.log("j="+i+"=="+src);
		if(src){
			galleryElements[j].setAttribute('dpw', j);
			galleryElements[j].onclick = onThumbnailsClick;
		}
	}
}

 function hasClass(obj, cls) {
    return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addClass(obj, cls) {
    if (!this.hasClass(obj, cls)) obj.className += " " + cls;
}
 function removeClass(obj, cls) {
    if (hasClass(obj, cls)) {
        var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
        obj.className = obj.className.replace(reg, ' ');
    }
}

var onThumbnailsClick = function(e) {
    e = e || window.event;
    e.preventDefault ? e.preventDefault() : e.returnValue = false;

    var eTarget = e.target || e.srcElement;

    var clickedGallery = document.querySelectorAll('.pswp')[0];
	
	var index = eTarget.getAttribute('dpw');

    if(index >= 0) {
        openPhotoSwipe( index, clickedGallery );
    }
    return false;
};

