/*
 * 常用function
 **/
var _imgcache_baseurl  = "https://www.0577home.net/imagescache/house/";
var _newlp_img_baseurl = "https://www.0577home.net/newlp/lp.php/new/houseimg/";
var _estate_img_baseurl= "https://www.0577home.net/imagescache/EstateImage/";
var _user_img_baseurl  = "https://www.0577home.net/imagescache/UserImage/";
var _api_baseurl       = "https://jia.0577home.net/app/index/";
var _api_baseurl1       = "https://jia.0577home.net/app/index1/";
var _yzapi_baseurl     = "https://jia.0577home.net/public/api/";
var _tuan_img_baseurl  = "https://www.0577home.net/newlp/upimg/tuan/";
var _appjson_baseurl   = "https://jia.0577home.net/app/statics/";
var WEB_DOMAIN         = "https://jia.0577home.net/";

/*
 * 图表
 */
var getOption = function(chartType,pricedata) {
                var month_array = new Array();
                var price_array = new Array();
                mui.each(pricedata, function(i, n) {
                    month_array.push(n.month);
                    price_array.push(n.mid_sale);
                });
                var chartOption = {
                    legend: {
                        data: ['近期价格走势']
                    },
                    grid: {
                        x: 50,
                        y: 50,
                    },
                    toolbox: {
                        show: false,
                        feature: {
                            mark: {
                                show: true
                            },
                            dataView: {
                                show: true,
                                readOnly: false
                            },
                            magicType: {
                                show: true,
                                type: ['bar']
                            },
                            restore: {
                                show: true
                            },
                            saveAsImage: {
                                show: true
                            }
                        }
                    },
                    calculable: false,
                    xAxis: [{
                        type: 'category',
                        data: month_array
                    }],
                    yAxis: [{
                        type: 'value',
                        splitArea: {
                            show: true
                        }
                    }],
                    series: [{
                        name:'近期价格走势',
                        type:chartType,
                        smooth:true,
                        symbol: 'none',
                        stack: 'a',
                        areaStyle: {
                            normal: {}
                        },
                        data: price_array
                    }]
                };
                return chartOption;
};

/*
 * 网络判断
 */
function check_network(){
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知网络";
	types[plus.networkinfo.CONNECTION_NONE] = "没有网络";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "局域网连接";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi连接";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G网络连接";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G网络连接";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G网络连接";
	if(types[plus.networkinfo.getCurrentType()] == "没有网络"){
		return false;
	}else{
		return true;
	}
}

/*
 * 查询字符串
 */
function stringIndexOf(a,b){
    if(a.indexOf(b) >= 0 ){
        return true;
    }else{
        return false;
    }
}

/*
 * 去左右空格
 **/
function stringtrim(s){
    return s.replace(/(^\s*)|(\s*$)/g, "");
}

// 获取文件后缀名
function getExt(fileName) {
    return fileName.substring(fileName.lastIndexOf('.') + 1);
}
// 生成guid,主要用于生成随机文件名
function NewGuid() {
    function S4() {
        return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
    }
    return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4());
}

/*
 * 时间戳日期格式化
 **/
function  formatDate(now) {
  var   year=now.getFullYear();
  var   month=now.getMonth()+1;
  var   date=now.getDate();
  var   hour=now.getHours();
  var   minute=now.getMinutes();
  var   second=now.getSeconds();
  return   year+"-"+month+"-"+date;
}
/*
 */
function getJs(sUrl) {
    var ie = navigator.userAgent.indexOf('MSIE') > 0;
    var o = ie ? new ActiveXObject('Microsoft.XMLHTTP') : new XMLHttpRequest();
    o.open('get', sUrl, false);
    o.send(null);
    return { body : o.responseText };
}
/*
 * 上传图片列表TPL
 **/
function imglist_tpl_replace(serverdata){
    var html_tpl = "<span class=\"mui-badge mui-badge-danger img-del-btn\" data-id=\"{{imgid}}\">×</span>\
                    <img src=\"{{img}}\">";
    var img = _user_img_baseurl + serverdata.created +"/"+serverdata.imgid+"-150-150"+serverdata.ext;
    html_tpl = html_tpl.replace("{{imgid}}", serverdata.imgid);
    html_tpl = html_tpl.replace("{{img}}", img);
    return html_tpl;
}
/*
 * 楼盘列表TPL
 */
function get_tpl_newlplist(){
	var html = "";
	    html = html + "<a href=\"javascript:void(0);\" data-id='{{lpid}}'><img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\" > ";
	    html = html + "<div class=\"mui-media-body\">";
	    html = html + "<p class=\"mui-h5 mui-ellipsis tname\">{{name}}</p>";
	    html = html + "<p class=\"mui-h5 mui-ellipsis taddr\"><font class=\"housename\">{{kfs}}</font>&nbsp;{{address}}</p>";
	    html = html + "<p class=\"mui-h5 mui-ellipsis tdesc\">物业类型：{{wytypeStr}}</p>";
	    html = html + "<p class=\"mui-h5 mui-ellipsis tdesc\">售楼热线：{{saletel}}</p>";
	    html = html + "<p class=\"mui-h6 mui-ellipsis\">{{type}}<span class=\"lp_pice\" >{{price}}</span></p>";
	    html = html + "</div></a>";
	return html;
}

/*
 * 小区列表TPL
 */
function get_tpl_estatelist(){
	var html = "";
	    html = html + "<a  data-id=\"{{lpid}}\"><img class=\"mui-media-object mui-pull-left\" src=\"{{img}}\" > ";
	    html = html + "<div class=\"mui-media-body\">{{name}}<span class=\"mui-badge mui-badge-danger fl_r\" >{{wylx}}</span><h5>地址:{{address}}</h5>";
	    html = html + "<h6>开发商: {{kfs}} <span class=\"lp_pice\" >{{price}}</span></h6>";
	    html = html + "</div></a>";
	return html;
}

/*
 * 城市列表
 * */
function citylist_tpl_replace(itemdata){
    var html_tpl = "<li class=\"table-view-cell\">\
                    <div class=\"cityItem mui-navigate-right\" data-id=\"{{cityid}}\" style=\"color:#bbb;\">{{name}}</div>\
                </li>";
    html_tpl = html_tpl.replace("{{cityid}}", itemdata.city_id);
    html_tpl = html_tpl.replace("{{name}}", itemdata.title);
    return html_tpl;
}

/*
 * 检索历史
 **/
function historylist_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell history-item\">\
                    <a class=\"mui-navigate-right\"><p>{{key}}</p></a>\
                    </li>";
        html_tpl = html_tpl.replace("{{key}}", itemdata);
        return html_tpl;
}

/*
 * 区域列表
 * */
function reglist_tpl_replace(itemdata){
    var html_tpl ="<li><a href=\"javascript:;\" class=\"tj_name\" data-id=\"{{regid}}\">{{name}}</a></li>";
    html_tpl = html_tpl.replace("{{regid}}", itemdata.regional_id);
    html_tpl = html_tpl.replace("{{name}}", itemdata.title);
    return html_tpl;
}
/*
 * 团购列表
 */
function estagetg_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                        <a  data-id=\"{{tuanid}}\" >\
                            <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                <div class=\"mui-media-body\">\
                                    <h5>{{name}}</h5>\
                                    <p class=\"mui-h6 mui-ellipsis\">活动时间:{{sdate}}至{{edate}}</p>\
                                </div>\
                        </a>\
                    </li>";
    var imgsrc = _tuan_img_baseurl + itemdata.pic1;
    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{tuanid}}", itemdata.id);
    html_tpl = html_tpl.replace("{{name}}", itemdata.tg_title);
    html_tpl = html_tpl.replace("{{sdate}}", itemdata.act_starttime);
    html_tpl = html_tpl.replace("{{edate}}", itemdata.act_stoptime);
    return html_tpl;
}
/*
 * 出租房列表
 * */
function zflist_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                        <a  data-id=\"{{houseid}}\" >\
                            <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                <div class=\"mui-media-body\">\
                                    <p class=\"mui-h5 mui-ellipsis tname\">{{name}}</p>\
                                    <p class=\"mui-h5 mui-ellipsis taddr\"><font class=\"housename\">{{houseName}}</font>&nbsp;{{regstr}}{{address}}</p>\
                                    <p class=\"mui-h6 mui-ellipsis tdesc\">{{shitingwei}} {{area}}㎡ </p>\
                                    <p class=\"mui-h6 mui-ellipsis\">{{tips}} <span class=\"fl_r houseprice\">{{price}}</span></p>\
                                </div>\
                        </a>\
                    </li>";
    var tips_html="";
    var flag=0;
    var price = itemdata.rentPrice == 0?"价格待定":itemdata.rentPrice+"元/月";
    var imgsrc = _imgcache_baseurl + itemdata.bness1_id;
    
    var tjtype = "";
    if(itemdata.is_tt == 1 && itemdata.is_recommend >0){
        tjtype = "<span class=\"tips te\">特推</span>";
        flag=1;
    }
    if(itemdata.is_tt == 0 && itemdata.is_recommend == 1){
        tjtype = "<span class=\"tips xin\">新推</span>";//新推
        flag=1;
    }
    if(itemdata.is_tt == 0 && itemdata.is_recommend == 2){
        tjtype = "<span class=\"tips xin\">新推</span>";//套餐新推
        flag=1;
    }
    if(itemdata.is_point == 1 ){
        tjtype = "<span class=\"tips ji\">急</span>";
        flag=1;
    }
    tips_html = tjtype;
    if(itemdata.count_image >= 5){
    	tips_html += "<span class=\"tips duo\">多图</span>";
    }
    
    if(nowdate - itemdata.updated <= 24*60*60*1000){
    	tips_html += "<span class=\"tips hour24\">24小时</span>";
    }
	
	html_tpl = html_tpl.replace("{{tips}}", tips_html);
    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{houseid}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
    html_tpl = html_tpl.replace("{{name}}", itemdata.detailTitle);
    html_tpl = html_tpl.replace("{{houseName}}", itemdata.houseName);
    html_tpl = html_tpl.replace("{{regstr}}", getRegStr(itemdata.regional_id));
    html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
    html_tpl = html_tpl.replace("{{area}}", itemdata.area);
    html_tpl = html_tpl.replace("{{price}}", price);
    return html_tpl;
}
var nowdate = new Date(); 
function houselist_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                        <a  data-id=\"{{houseid}}\" >\
                            <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                <div class=\"mui-media-body\">\
                                    <p class=\"mui-h5 mui-ellipsis tname\">{{name}}</p>\
                                    <p class=\"mui-h5 mui-ellipsis taddr\"><font class=\"housename\">{{houseName}}</font>&nbsp;{{regstr}}{{address}}</p>\
                                    <p class=\"mui-h6 mui-ellipsis tdesc\">{{shitingwei}} {{area}}㎡ </p>\
                                    <p class=\"mui-h6 mui-ellipsis\">{{tips}} <span class=\"fl_r houseprice\">{{price}}</span></p>\
                                </div>\
                        </a>\
                    </li>";
    var tips_html="";
    var imgsrc = _imgcache_baseurl + itemdata.bness1_id;
    var flag=0;
    var price = itemdata.allPrice == 0?"价格待定":itemdata.allPrice+"万元";
    var tjtype = "";
    if(itemdata.is_tt == 1 && itemdata.is_recommend >0){
        tjtype = "<span class=\"tips te\">特推</span>";
        flag=1;
    }
    if(itemdata.is_tt == 0 && itemdata.is_recommend == 1){
        tjtype = "<span class=\"tips xin\">新推</span>";//新推
        flag=1;
    }
    if(itemdata.is_tt == 0 && itemdata.is_recommend == 2){
        tjtype = "<span class=\"tips xin\">新推</span>";//套餐新推
        flag=1;
    }
    if(itemdata.is_point == 1 ){
        tjtype = "<span class=\"tips ji\">急</span>";
        flag=1;
    }
    tips_html = tjtype;
    if(itemdata.count_image >=5){
    	tips_html += "<span class=\"tips duo\">多图</span>";
    }
    
    if(nowdate - itemdata.updated <= 24*60*60*1000){
    	tips_html += "<span class=\"tips hour24\">24小时</span>";
    }
    
    html_tpl = html_tpl.replace("{{tips}}", tips_html);
    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{houseid}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
    html_tpl = html_tpl.replace("{{name}}", itemdata.detailTitle);
    html_tpl = html_tpl.replace("{{houseName}}", itemdata.houseName);
    html_tpl = html_tpl.replace("{{regstr}}", getRegStr(itemdata.regional_id));
    html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
    html_tpl = html_tpl.replace("{{area}}", itemdata.area);
    html_tpl = html_tpl.replace("{{price}}", price);
    return html_tpl;
}

// 房源关注列表
function housefollow_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                    <div class=\"mui-slider-right mui-disabled\">\
                        <span data-id=\"{{houseid1}}\" class=\"mui-btn mui-btn-red disfollow\">取消关注</span>\
                    </div>\
                    <div class=\"mui-slider-handle\">\
                        <a data-id=\"{{houseid2}}\" >\
                            <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                <div class=\"mui-media-body\">\
                                    <p class=\"mui-h6 mui-ellipsis\">{{name}}</p>\
                                    <p class=\"mui-h6 mui-ellipsis\">{{shitingwei}} {{area}}㎡ <span class=\"fl_r houseprice\">{{price}}</span></p>\
                                    <p class=\"mui-h6 mui-ellipsis\">{{address}}。</p>\
                                    <p class=\"mui-h6 mui-ellipsis\">{{tips}}</p>\
                                </div>\
                        </a>\
                    </div>\
                    </li>";
    var tips_html="<span class=\"tips zhen\">真实房源</span>";
    var imgsrc = _imgcache_baseurl + itemdata.bness1_id;
    var flag=0;
    var price = itemdata.allPrice == 0?"价格待定":itemdata.allPrice+"万元";
    if(itemdata.is_tt > 0){
        tips_html = tips_html+"<span class=\"tips te\">特推</span>";
        flag=1;
    }
    if(itemdata.is_recommend > 0){
        tips_html = tips_html+"<span class=\"tips xin\">新推</span>";
        flag=1;
    }
    if(itemdata.is_point > 0){
        tips_html = tips_html+"<span class=\"tips ji\">急</span>";
        flag=1;
    }
    //if(flag==0){
    //    html_tpl = html_tpl.replace("{{tips}}", "");
    //}else{
        html_tpl = html_tpl.replace("{{tips}}", tips_html);
    //}
    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{houseid1}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{houseid2}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
    html_tpl = html_tpl.replace("{{name}}", itemdata.detailTitle);
    html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
    html_tpl = html_tpl.replace("{{area}}", itemdata.area);
    html_tpl = html_tpl.replace("{{price}}", price);
    return html_tpl;
}

function zffollow_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                        <div class=\"mui-slider-right mui-disabled\">\
                            <span data-id=\"{{houseid1}}\" class=\"mui-btn mui-btn-red disfollow\">取消关注</span>\
                        </div>\
                        <div class=\"mui-slider-handle\">\
                            <a  data-id=\"{{houseid2}}\" >\
                                <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                    <div class=\"mui-media-body\">\
                                        <p class=\"mui-h6 mui-ellipsis\">{{name}}</p>\
                                        <p class=\"mui-h6 mui-ellipsis\">{{shitingwei}} {{area}}㎡ <span class=\"fl_r houseprice\">{{price}}元/月</span></p>\
                                        <p class=\"mui-h6 mui-ellipsis\">{{address}}。</p>\
                                    </div>\
                            </a>\
                        </div>\
                    </li>";
    var imgsrc = _imgcache_baseurl + itemdata.bness1_id;

    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{houseid1}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{houseid2}}", itemdata.bness1_id);
    html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
    html_tpl = html_tpl.replace("{{name}}", itemdata.detailTitle);
    html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
    html_tpl = html_tpl.replace("{{area}}", itemdata.area);
    html_tpl = html_tpl.replace("{{price}}", itemdata.rentPrice);
    return html_tpl;
}

/*
 * 房源收藏列表TPL
 */
function estatecollect_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell  mui-media-large\">\
                        <div class=\"mui-slider-right mui-disabled\">\
                            <span data-id=\"{{lpid1}}\" class=\"mui-btn mui-btn-red disfollow\">取消收藏</span>\
                        </div>\
                        <div class=\"mui-slider-handle\">\
                            <a data-id=\"{{lpid2}}\"><img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\" >\
                            <div class=\"mui-media-body\">{{name}}<span class=\"mui-badge mui-badge-danger fl_r\" >{{type}}</span>\
                            <p class=\"mui-h6 mui-ellipsis\">{{address}}</p><p class=\"mui-h6 mui-ellipsis\">开发商:{{kfs}}</p><h6>{{teltype}} {{saletel}} <span class=\"lp_pice\" >{{price}}</span></h6>\
                            </div></a>\
                        </div>\
                    </li>";
    var imgsrc = _newlp_img_baseurl + itemdata.estate_id;
    var price = itemdata.averPrice==0 ? "价格待定":itemdata.averPrice+"元/㎡";
    var telno = itemdata.saleTel?itemdata.saleTel:"暂无";
    html_tpl = html_tpl.replace("{{img}}", imgsrc);
    html_tpl = html_tpl.replace("{{lpid1}}", itemdata.estate_id);
    html_tpl = html_tpl.replace("{{lpid2}}", itemdata.estate_id);
    html_tpl = html_tpl.replace("{{name}}", itemdata.name);
    html_tpl = html_tpl.replace("{{address}}", itemdata.address);
    html_tpl = html_tpl.replace("{{kfs}}", itemdata.kfs);
    //html_tpl = html_tpl.replace("{{teltype}}", itemdata.teltype?itemdata.teltype:"Tel:");
    html_tpl = html_tpl.replace("{{teltype}}", "Tel:");
    html_tpl = html_tpl.replace("{{saletel}}", telno);
    html_tpl = html_tpl.replace("{{price}}", price);
    html_tpl = html_tpl.replace("{{type}}", itemdata.type?itemdata.type:"");
    return html_tpl;
}

/*
 * 用户委托/房源列表TPL
 */
function house_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell mui-media-large\">\
                        <a>\
                            <img class=\"mui-media-object mui-pull-left imageswidth\" src=\"{{img}}\">\
                                <div class=\"mui-media-body\">\
                                    <p class=\"mui-h6 mui-ellipsis\">{{name}} {{shitingwei}}</p>\
                                    <p class=\"mui-h6 mui-ellipsis\">地址:{{address}}。</p>\
                                    <p class=\"mui-h6 mui-ellipsis\">面积:{{area}}㎡</p>\
                                    <p class=\"mui-h6 mui-ellipsis\">期望售价:{{price}}元</p>\
                                </div>\
                        </a>\
                        <div class=\"li_footer\">\
                            <div class=\"fl_l\">\
                                <span class=\"mui-h6\">{{shenhe}}</span>\
                            </div>\
                            <div class=\"fl_r\">\
                                <button data-id=\"{{houseid}}\" class=\"mui-btn mui-btn-success mui-btn-block edit-btn\">编辑</button>\
                            </div>\
                        </div>\
                    </li>";
        var shenhe_step = "";
        if(itemdata.is_audit == 0){
            shenhe_step = "等待客服审核";
        }else if(itemdata.is_audit == 1){
            shenhe_step = "已审核通过";
        }else{
            shenhe_step = "审核不通过";
        }

        var imgsrc = _imgcache_baseurl + itemdata.bness1_id;
        html_tpl = html_tpl.replace("{{img}}", imgsrc);
        html_tpl = html_tpl.replace("{{houseid}}", itemdata.bness1_id);
        html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
        html_tpl = html_tpl.replace("{{cdate}}", itemdata.created);
        html_tpl = html_tpl.replace("{{name}}", itemdata.houseName);
        html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
        html_tpl = html_tpl.replace("{{area}}", itemdata.area);
        html_tpl = html_tpl.replace("{{price}}", itemdata.allPrice);
        html_tpl = html_tpl.replace("{{shenhe}}", shenhe_step);
    return html_tpl;
}
function housewt_tpl_replace(itemdata){
    var html_tpl = "<li class=\"mui-table-view-cell\">\
                    <div class=\"mui-table\">\
                            <h4 class=\"mui-ellipsis\">{{name}} {{shitingwei}}<span class=\"mui-h5 fl_r\">{{cdate}}</span></h4>\
                            <h5>委托人：{{u_name}}</h5>\
                            <p class=\"mui-h6 mui-ellipsis\">地址:{{address}},面积:{{area}}㎡,期望售价:{{price}}元。</p>\
                        </div>\
                    </div>\
                </li>";
    html_tpl = html_tpl.replace("{{shitingwei}}", itemdata.shitingwei);
    html_tpl = html_tpl.replace("{{cdate}}", itemdata.created);
    html_tpl = html_tpl.replace("{{u_name}}", itemdata.lxr);
    html_tpl = html_tpl.replace("{{name}}", itemdata.houseName);
    html_tpl = html_tpl.replace("{{address}}", itemdata.houseAddr);
    html_tpl = html_tpl.replace("{{area}}", itemdata.area);
    html_tpl = html_tpl.replace("{{price}}", itemdata.allPrice);
    return html_tpl;
}
/*
 * 小区检索列表list替换
 **/
function searchestate_tpl_replace(i,itemdata){
	var html_tpl = "<li class=\"mui-table-view-cell\" data=\"{{i}}\"> \
					<a> \
						<span class=\"fl_l\">{{name}}</span> \
						<span class=\"fl_r mr15\">{{address}}</span> \
					</a> \
				</li>";
	html_tpl = html_tpl.replace("{{i}}", i);
	html_tpl = html_tpl.replace("{{name}}", itemdata.name);
	html_tpl = html_tpl.replace("{{address}}", itemdata.address);
	return html_tpl;
}

/*
 * 新闻列表list替换
 * */
function newslist_tpl_replace(itemdata){
    var html_tpl = "<a href='javascript:;' data-id='{{nid}}'> \
                    <span class=\"news_title fl_l\">{{title}}</span> \
                    <span class=\"news_time fl_r\">{{addtime}}</span> \
                    </a>";
        html_tpl = html_tpl.replace("{{nid}}",itemdata.id);
        html_tpl = html_tpl.replace("{{title}}",itemdata.title);
        html_tpl = html_tpl.replace("{{addtime}}",itemdata.newstime);
    return html_tpl;
}

/*
 * 楼盘列表页 list替换
 */
function newlplist_tpl_replace(tpl,itemdata){
	var imgsrc = _newlp_img_baseurl + itemdata.estate_id;
	var html_tpl = tpl;
	var price = itemdata.averPrice==0 ? "价格待定":itemdata.averPrice+"元/㎡";
	var telno = itemdata.saleTel?itemdata.saleTel:"暂无";
	var typeStr = itemdata.typeStr || "";
	var typeSpan = "";
	if(typeStr) typeSpan = "<span class=\"tips "+itemdata.typeClass+"\">"+typeStr+"</span>";
	

	html_tpl = html_tpl.replace("{{img}}", imgsrc);
	html_tpl = html_tpl.replace("{{lpid}}", itemdata.estate_id);
	html_tpl = html_tpl.replace("{{name}}", itemdata.name);
	html_tpl = html_tpl.replace("{{address}}", itemdata.address);
	html_tpl = html_tpl.replace("{{kfs}}", itemdata.kfs);
	//html_tpl = html_tpl.replace("{{teltype}}", itemdata.teltype?itemdata.teltype:"Tel:");
	//html_tpl = html_tpl.replace("{{teltype}}", "Tel:");
	html_tpl = html_tpl.replace("{{wytypeStr}}", itemdata.wytypeStr);
	html_tpl = html_tpl.replace("{{saletel}}", telno);
	html_tpl = html_tpl.replace("{{price}}", price);
	html_tpl = html_tpl.replace("{{type}}",typeSpan );
	return html_tpl;
}

/*
 * 小区list替换
 */
function estatelist_tpl_replace(tpl,itemdata){
	var imgsrc = _newlp_img_baseurl + itemdata.estate_id;
	var price = itemdata.averPrice=="" || itemdata.averPrice==0?"待定价格":itemdata.averPrice+"元/㎡";
	var html_tpl = tpl;
	html_tpl = html_tpl.replace("{{img}}", imgsrc);
	html_tpl = html_tpl.replace("{{lpid}}", itemdata.estate_id);
	html_tpl = html_tpl.replace("{{name}}", itemdata.name);
	html_tpl = html_tpl.replace("{{address}}", itemdata.address);
	html_tpl = html_tpl.replace("{{wylx}}", itemdata.wylx?itemdata.wylx:"住宅");
	html_tpl = html_tpl.replace("{{kfs}}", itemdata.kfs?itemdata.kfs:"暂无资料");
	html_tpl = html_tpl.replace("{{price}}", price);
	return html_tpl;
}

/*
 * 首页经纪人推荐
 */
function jjr_tpl_replace(i, itemdata) {

	var html_tpl = "<li class=\"mui-table-view-cell mui-media mui-col-xs-3\" data-id=\"{{userid}}\" >";
	html_tpl = html_tpl +"<a href=\"javascript:void(0)\">";
	html_tpl = html_tpl +"<img src=\"{{img}}\"><div class=\"mui-media-body\">{{username}}</div>";
	html_tpl = html_tpl +"</a></li>";
	html_tpl = html_tpl.replace("{{userid}}", itemdata.uid);
	html_tpl = html_tpl.replace("{{img}}", itemdata.image);
	html_tpl = html_tpl.replace("{{username}}", itemdata.lxr);
	return html_tpl;
}

/*
 * 首页 list替换
 */
function newlp_tpl_replace(i, itemdata) {
	var imgsrc = _newlp_img_baseurl + itemdata.estate_id;
	var html_tpl = "<li class=\"mui-table-view-cell {{firstli}}\" style=\"{{style}}\" id=\"{{lpid}}\" data-id=\"lp_page_{{count}}\">\
	                   <a href=\"javascript:void(0)\">\
	                        <div class=\"img\"><img src=\"{{img}}\"></div>\
	                        <div class=\"txt\">\
	                           <h3>{{name}}</h3>\
	                           <p clss=\"mui-h6 mui-ellipsis\">均价:<span class=\"price\">{{price}}</span></p>\
	                           <p clss=\"mui-h6 mui-ellipsis\">开发商：{{company}}</p>\
	                           <p class=\"mui-h6 mui-ellipsis\">楼盘地址:{{address}}</p>\
	                        </div>\
	                    </a>\
	                </li>";
	if (i == 0 || i == 6 || i == 11) {
		html_tpl = html_tpl.replace("{{firstli}}", "firstli");
	} else {
		html_tpl = html_tpl.replace("{{firstli}}", "");
	}
	if (i < 6) {
		html_tpl = html_tpl.replace("{{count}}", "1");
		html_tpl = html_tpl.replace("{{style}}", "");
	} else if (i < 12) {
		html_tpl = html_tpl.replace("{{count}}", "2");
		html_tpl = html_tpl.replace("{{style}}", "display:none;");
	} else {
		html_tpl = html_tpl.replace("{{count}}", "3");
		html_tpl = html_tpl.replace("{{style}}", "display:none;");
	}
	var address = itemdata.address || "暂无资料";
	if(address.length >14){
	    address = address.substr(0, 14)+"...";
	}
	html_tpl = html_tpl.replace("{{lpid}}", itemdata.estate_id);
	html_tpl = html_tpl.replace("{{img}}", imgsrc);
	html_tpl = html_tpl.replace("{{name}}", itemdata.name);
	html_tpl = html_tpl.replace("{{price}}", itemdata.averPrice == 0 ? "价格待定" : itemdata.averPrice + "元/㎡");
	html_tpl = html_tpl.replace("{{company}}", itemdata.kfs || "暂无资料");
	html_tpl = html_tpl.replace("{{address}}", address);
	return html_tpl;
}

function change_lp(obj) {
	var dc = obj.getAttribute("data-count");
	var id = "lp_page_" + dc;
	var lp_list = document.getElementById("newlp_list").getElementsByTagName("li");
	for (var i = 0; i < lp_list.length; i++) {
		var dt_id = lp_list[i].getAttribute("data-id");
		if (id == dt_id) {
			lp_list[i].style.display = "";
		} else {
			lp_list[i].style.display = "none";
		}
	}
	data_count = data_count + 1;
	if (data_count > 3) {
		data_count = 1;
	}
	obj.setAttribute("data-count", data_count);
}

function trimStr(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}

function get_pwd_hash(pwd){
    var salt = '';
    return MD5(salt + pwd);
}

function get_user_token(name,pw){
	var u_n = name;
	var u_p = pw;
	var pwd_hash = get_pwd_hash(u_p);
	var backpage = plus.webview.currentWebview().opener();
	var onSuccess = function(data){
	    UserInfo.username(data.uname);
	    UserInfo.password(pwd_hash);
	    UserInfo.uid(data.userid);
	    UserInfo.token(data.token);
	    UserInfo.applyBroker(data.applyBroker);
	    UserInfo.applyAgency(data.applyAgency);
	    var wc = plus.webview.currentWebview();
	    mui.fire(backpage, 'login_success');

	    //wc.close('slide-out-bottom',1000);
	    setTimeout("mui.back()", 1000);
	}

	var onError = function(errcode){
	    mui.toast(errcode);
	}
	plus.nativeUI.showWaiting('登录中...',{round:3});
	mui.web_query('get_user_token', {username:u_n,pwd:pwd_hash}, onSuccess, onError, 3);
	
}

/*new function for ajax*/
mui.web_query = function(func_url, params, onSuccess, onError, retry){
    var onSuccess = arguments[2]?arguments[2]:function(){};
    var onError = arguments[3]?arguments[3]:function(){};
    var retry = arguments[4]?arguments[4]:3;
    var durl = _api_baseurl1 + func_url;
    mui.ajax(durl, {
        async:false,
        data:params,
        dataType:'json',
        type:'post',
        timeout:3000,
        success:function(data){
            if(data.status === '1'){
                onSuccess(data);
            }else{
                onError(data.code);
            }
            setTimeout(function(){
            	plus.nativeUI.closeWaiting();	
            },1500);
        },
        error:function(xhr,type,errorThrown){
            retry--;
            if(retry > 0) return mui.web_query(func_url, params, onSuccess, onError, retry);
            onError('FAILED_NETWORK');
            plus.nativeUI.closeWaiting();
        }
    })
};

/*UserInfo*/
function UserInfo(){};

//清除登录信息
UserInfo.clear = function(){
    plus.storage.removeItem('username');
    plus.storage.removeItem('password');
    plus.storage.removeItem('token');
    plus.storage.removeItem('uid');
    plus.storage.removeItem('applyBroker');
    plus.storage.removeItem('applyAgency');
    plus.storage.clear();
}

//检查是否包含自动登录的信息
UserInfo.auto_login = function(){
    var username = UserInfo.username();
    var pwd = UserInfo.password();
    if(!username || !pwd){
        return false;
    }
    return true;
}

//检查是否已登录
/*UserInfo.has_login = function(){
    var username = UserInfo.username();
    var pwd = UserInfo.password();
    var token = UserInfo.token();
    if(!username || !pwd || !token){
        return false;
    }
    return true;
};*/

UserInfo.has_login = function(){
    var uid = UserInfo.uid();
    var token = UserInfo.token();
    var flag = false;
    mui.ajax(_api_baseurl1 + 'check_user_token',{
        data:{"uid":uid,"token":token},
        dataType:'json',//服务器返回json格式数据
        type:'get',//HTTP请求类型
        async:false,
        timeout:10000,//超时时间设置为10秒；
        success:function(data){
            if(data.status == "1"){
                flag = true;
            }
        },
        error:function(xhr,type,errorThrown){
            console.log(type);
        }
    });
    return flag;
}

UserInfo.username = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('username');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('username');
        return;
    }
    plus.storage.setItem('username', arguments[0]);
};

UserInfo.password = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('password');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('password');
        return;
    }
    plus.storage.setItem('password', arguments[0]);
};

UserInfo.uid = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('uid');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('uid');
        return;
    }
    plus.storage.setItem('uid', arguments[0]);
};
UserInfo.token = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('token');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('token');
        return;
    }
    plus.storage.setItem('token', arguments[0]);
};
UserInfo.applyBroker = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('applyBroker');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('applyBroker');
        return;
    }
    plus.storage.setItem('applyBroker', arguments[0]);
};
UserInfo.applyAgency = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('applyAgency');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('applyAgency');
        return;
    }
    plus.storage.setItem('applyAgency', arguments[0]);
};


/*show history*/
var maxHis = 100;
function cleanHis(str){
	if(!str) return "";
	var srcStr = rtrimDh(str);
	var arr = srcStr.split(",");
	if(arr.length >=maxHis){
		str = str.substring(0,str.lastIndexOf(','));
	}
	return str; 
}
function addHistory(str,add){
	if(!str){str = "";}
	if(!add){add = "";}

	if(str && str.indexOf(add) >= 0){
		//str = str.replaceAll(add+",","");
		str = str.replace(new RegExp(add+",","g"),"");  
	}
	str = cleanHis(str);
	str = add+"," + str;
	return str;
}
function rtrimDh(str){
	return str.replace(/,$/g,"");
}
function clearHistory(name){
	plus.storage.removeItem(name);
}
function setHistory(name,add){
	var str = getHistory(name);
	var item = addHistory(str,add);
	plus.storage.setItem(name,item);
}

function getHistory(name){
	var r = plus.storage.getItem(name)
	if(!r) r="";
	return  r;
}

