define('worldJisuan',[],function(require,exports,module){
    "use strict";
    module.exports  = function(options){
        var $ = require("jquery");
        var vars = seajs.data.vars;
        $("input[type=hidden]").each(function(index,element){
            vars[$(this).attr('data-id')] = element.value;
        });
		
         var classname="active";
         var sp1=$('#span_1'),
             sp2=$('#span_2'),
             sp3=$('#span_3'),
             div1=$('#div_1'),
             div2=$('#div_2'),
             div3=$('#div_3');
         sp1.on('click',function(){
        	 var a= $(this).attr('data_url');
        	 window.location.href=a;
        	 
         });
         
         sp2.on('click',function(){
        	 var a= $(this).attr('data_url');
        	 window.location.href=a;
         });
         
         sp3.on('click',function(){
        	 var a= $(this).attr('data_url');
        	 window.location.href=a;
         });
         
         $("input[type='text']").blur(function(){
        	 var a=$(this).val();
        	 if(isNaN(a)){
        		 //输入非数字
        		 var a = parseFloat(a);
        		 var b=$(this).prev().html();
                 var b=b.substring(0,b.length-1);
        		 alert("填写的"+b+"必须为数字");
        		 if (!isNaN(a)) {
        			 //转化后为数字
        			 var reg=/\d+\.\d+/;
        			 if(reg.test(a) && a.toString().split(".")[1].length>0){
        				 if(b=='贷款期限'){
        					 var a=parseInt(a);
        				 }else{
        					 var a = Math.round(a*100)/100;
        				 }
                		 
                	 }
        		     $(this).val(a);
        		 }else{
        			 //转化后非数字
        			 $(this).val('');
        		 }
        	 } else {
        		 //输入为数字
        		 var b=$(this).prev().html();
                 var b=b.substring(0,b.length-1);
        		 var reg=/\d+\.\d+/;
        		 if(reg.test(a) && a.toString().split(".")[1].length>0){
        			 if(b=='贷款期限'){
    					 var a=parseInt(a);
    				 }else{
    					 var a = Math.round(a*100)/100;
    				 }
            	 }
        		 $(this).val(a);
        	 }   
         })
         //房贷计算器
         //选择国家
         $('#country').on('change',function(){
        	 var country=$("#country").val();
             if(country!=0){
        		 $.get(vars.toolsSite+"?c=tools&a=ajaxGetBank&key="+country,function(data){
                     data=data;//console.log(data);
                     $('#xuanzebank').html(data);
                   //选择银行
                     $('#bankselect').on('change',function(){
                    	 var year_rate=$("#bankselect").val();
                    	 $("input[name='year_rate']").val(year_rate);
                     });
                 });
        	 }
           
         });
         //没选择国家，先选择银行
         $('#bankselect').on('click',function(){
        	 var country=$("#country").val();
        	 if(country==0){
        		 alert("请先选择国家");
        	 }
         });
         
         $('#fangdai').on('click',function(){
        	 var daiprice=($("input[name='daiprice']").val())*10000;
        	 var daidata=$("input[name='daidata']").val();
        	 var year_rate=$("input[name='year_rate']").val();
        	 var country=$("#country").val();
        	 if(daiprice==''){
        		 alert('请填写房贷总额');
        	 }else if(daidata==''){
        		 alert('请填写贷款期限');
        	 }else if(year_rate==''){
        		 alert('请填写年利率');
        	 }else{
        		 //月利率=(年利率/100)/12;
        		 var month_rate=(year_rate/100)/12;
        		 //月均还款=Math.round(贷款总额*月利率*（1+月利率）^贷款期限/（（1+月利率）^贷款期限-1)
        		 var monthrepay=Math.round(daiprice*month_rate*Math.pow(1+month_rate,daidata)/(Math.pow(1+month_rate,daidata)-1))
        		 //还款总额= Math.round(Math.round(月均还款*月份)*100))/100;
        		 var totalrepay=Math.round(Math.round(monthrepay*daidata)*100)/100;
        		 //支付利息 =Math.round((还款总额-贷款总额）*100)/100)
                 var lixirepay=Math.round((totalrepay-daiprice)*100)/100;
                 $("#monthrepay").html("月均还款："+monthrepay+"元");
                 $("#lixirepay").html("支付利息："+lixirepay+"元");
        	 }
        	 
         });
        	 
         
         //购房能力评估
         $('#fangability').on('click',function(){
        	 var havemoney=$("input[name='havemoney']").val()*10000;
        	 var income=$("input[name='income']").val();
        	 var output=$("input[name='output']").val();
        	 var floorspace=$("input[name='floorspace']").val();
        	 var years=$("#years").val();
        	 var repaly_month=years*12;
        	 if(havemoney==''){
        		 alert('请填写可用于购房的基金');
        	 }else if(income==''){
        		 alert('请填写家庭月收入');
        	 }else if(output==''){
        		 alert('请填写预计家庭每月固定支出');
        	 }else if(floorspace==''){
        		 alert('请填写计划购买的房屋面积');
        	 }else {
        		 if(years<5){
            		 var month_rate=0.00576;
            	 }else{
            		 var month_rate=0.00594;
            	 } 
        		 //您可购买的房屋总价=（家庭月收入-家庭月固定支出）×( (（1＋月利率）＾还款月数)－1  )÷［月利率×（1＋月利率）＾还款月数］+持有资金
        		 var totalprice =Math.ceil((income-output)*(Math.pow(1+month_rate,repaly_month)-1)/(month_rate*Math.pow(1+month_rate,repaly_month))+ havemoney);
            	 //您可购买的房屋单价=您可购买的房屋总价/房屋面积
            	 var danprice = totalprice/floorspace;
            	 $("#totalprice").html("您购买房屋的总价为："+totalprice+"元");
            	 $("#danprice").html("您购买房屋的单价为："+danprice+'元/平方米');
        	 }
        	 
         })
         
         //投资回报率
         
         $('#touziReply').on('click',function(){
        	 var fangPrice=$("input[name='fangPrice']").val();
        	 var zujin=$("input[name='zujin']").val();
        	 var a=12;
        	 var b=100;
        	 var c=10000;
        	 if(fangPrice==''){
        		 alert('购房总价不能为空');
        	 }else if(zujin==''){
        		 alert('每月租金费不能为空');
        	 }else{
        		 var return_rate =  (zujin*a*b)/(fangPrice*c);
        		 $('#return_rate').html('租金回报率：'+return_rate+'%');
        	 }
         })
    };
});