<div class="mui-content">
   
    {{if xiaoqu_images}}
    <!-- Swiper -->
    <div class="swiper-container" style="width: 100%;" id="slider" >
        <div class="swiper-wrapper">
	        {{each xiaoqu_images as item index}}
            <div class="swiper-slide">
                <img src="{{item.name}}" class="preview" />
            </div>
            {{/each}}
        </div>
        <!-- Add Pagination -->
        <div class="swiper-pagination" ></div>
    </div>
    {{/if}}
    
    <div class="area-name whitebg ">
		<div class="tit_area">
        	<h1 class="name black" id="titlename">{{name}}</h1>
    	</div>
        
    	<ul class="mui-table-view">
            <li class="mui-table-view-cell">
            	<span class="a_price"> 均价:{{if averPrice> 0}} {{averPrice}} 元/㎡ {{else}} 价格待定 {{/if}}</span>
                <a onclick="toCal('{{allPrice}}}',2)" class="icon-jsq" ></a>
            </li>
        </ul>
    	
    </div>
    <div class="h15"></div>
    
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit">
            <a href="javascript:;" class="mui-navigate-right">楼盘信息</a>
        </li>
    </ul>
    <ul class="mui-table-view mui-grid-view" id="tips">
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                物业类型:<font class="black">{{if wylx}} {{wylx}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                所属区域:<font class="black">{{city}}-{{regional}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                楼盘地址:<font class="black">{{if address}} {{address}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                售楼热线:<font class="black">{{if saleTel}} {{saleTel}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                售楼地址:<font class="black">{{if saleAddr}} {{saleAddr}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                许可证号:<font class="black">{{if xsxkz}} {{xsxkz}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                开发商:<font class="black">{{if kfs}} {{kfs}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                开盘日期:<font class="black">{{if kpTime}} {{kpTime}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                交房日期:<font class="black">{{if jfTime}} {{jfTime}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                建筑面积:<font class="black">{{if areaTotal}} {{areaTotal}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                占地面积:<font class="black">{{if areaZd}} {{areaZd}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                容积率:<font class="black">{{if rjl}} {{rjl}} {{else}} 暂无资料 {{/if}}</font>
            </li>
            <li class="mui-table-view-cell mui-col-xs-12  estate_tips">
                绿化率:<font class="black">{{if lhl}} {{lhl}} {{else}} 暂无资料 {{/if}}</font>
            </li>
    </ul>
    {{if info}}
    
    <div class="h15"></div>
    
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit">
            <a href="javascript:;">楼盘介绍</a>
        </li>
    </ul>
    <div id="infotext">
        <p class="mui-h6 slide-txt mui-content-padded">{{info}}</p>
        <a href="javascript:void(0);" class="slide-btn" onclick="doslide(this)"><span>展开，查看全部</span></a>
    </div>
    {{/if}}
    
    {{if huxing_images}}
    <div class="h15"></div>
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit">
            <a href="javascript:;">主力户型({{huxing_count}})</a>
        </li>
    </ul>
    <div class="xqScroll" id="huxingslider">
		<ul id="scroller" style="padding:0;width: {{huxing_count*130+40}}px; transition-timing-function: cubic-bezier(0.1, 0.57, 0.1, 1); transition-duration: 0ms; transform: translate(0px, 0px) translateZ(0px);">
			{{each huxing_images as h index}}
			<li style="display: table-cell; vertical-align: top;width: 115px;" onclick="showHuxing('{{h.id}}','{{h.lpid}}')">
            	<a href="javascript:void(0);">
	                <div class="hx-pic">
	                	<img src="{{h.tname}}" alt="{{h.htitle}}" style="display: inline;">
	                </div>
	                <div class="hx-int" >
	                	<span>{{h.htitle}}&nbsp;{{h.mj}}㎡&nbsp;{{h.shi}}室{{h.ting}}厅</span>
	                    <span>{{h.shi}}室 {{h.mj}}㎡(建面) </span>
	                </div>
                
                </a>
            </li>
            {{/each}}
		</ul>
	</div>
    {{/if}}
    
    
    {{if bmap_imgpath}}
    <div class="h15"></div>
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit" onclick="openMap('{{mapabc_code}}')">
            <a href="javascript:void(0);" class="mui-navigate-right">地理位置</a>
        </li>
    </ul>
    <div id="map" onclick="openMap('{{mapabc_code}}')">
        <img src="{{bmap_imgpath}}">
    </div>
    {{/if}}
    <div class="h15"></div>
</div>