var _imgcache_baseurl  = "https://www.0577home.net/imagescache/house/";
var _newlp_img_baseurl = "https://www.0577home.net/newlp/lp.php/new/houseimg/";
var _estate_img_baseurl= "https://www.0577home.net/imagescache/EstateImage/";
var _user_img_baseurl  = "https://www.0577home.net/imagescache/UserImage/";
var _api_baseurl       = "https://jia.0577home.net/app/index/";
var _yzapi_baseurl     = "https://jia.0577home.net/public/api/";
var _tuan_img_baseurl  = "https://www.0577home.net/newlp/upimg/tuan/";
var _appjson_baseurl   = "https://jia.0577home.net/app/statics/";
var WEB_DOMAIN         = "https://jia.0577home.net/";
var appserver = 'https://m.0577home.net/app/';
var json_myhouseup = appserver + "json_getmyhouselist/t/1/p/";
var json_myhousedown = appserver + "json_getmyhouselist/t/2/p/";
var json_updatees = appserver + "json_updatefy/";
var json_editsave = appserver + "json_tosave/";
var json_getesinfo = appserver + "json_getesinfo";
var json_esimg = appserver + "json_esimg";
var uploadfile_forapp = appserver + "uploadfile_forapp2";
var json_deleteesimg = appserver + "json_deleteesimg/";
var json_setesimg = appserver + "json_setesimg/";
var json_login = appserver + "login/login/submit";
var json_searchaddhouse = appserver + "json_searchaddhouse";
var json_getuinfo = appserver + "json_getuinfo";
var json_iflogin = appserver + "iflogin";
var json_logout = appserver + "logout";
var json_todownshop = appserver + "json_todownshop";
var json_toupshop = appserver + "json_toupshop";
var json_deletees = appserver + "json_deletees";

// 获取文件后缀名
function getExt(fileName) {
    return fileName.substring(fileName.lastIndexOf('.') + 1);
}

// 生成guid,主要用于生成随机文件名
function NewGuid() {
    function S4() {
        return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
    }
    return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4());
}

function netinit_Ready() {
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知网络";
	types[plus.networkinfo.CONNECTION_NONE]   = "没有网络";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "局域网连接";
	types[plus.networkinfo.CONNECTION_WIFI]   = "WiFi连接";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G网络连接";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G网络连接";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G网络连接";
	if (types[plus.networkinfo.getCurrentType()] == "没有网络") {
		nonetwork();
	} else {
		mui.toast('目前网络环境：' + types[plus.networkinfo.getCurrentType()]);
	}
}

function stringIndexOf(a,b){
    if(a.indexOf(b) >= 0 ){
        return true;
    }else{
        return false;
    }
}

/*
 * 去左右空格
 **/
function stringtrim(s){
    return s.replace(/(^\s*)|(\s*$)/g, "");
}

function nonetwork() {
	var btnArray = ['是', '否'];
	mui.confirm('请确认一下你的设备是否已经连接了网络 ', '没有网络连接', btnArray, function(e) {
		if (e.index == 0) {
			window.location.reload();
		} else {
			plus.runtime.quit();
		}
	})
}

function openurl(urlname) {
	mui.openWindow({
		url: './' + urlname + '.html',
		id: urlname + 'index'
	});
}

function openserverurl(urlname) {
	mui.openWindow({
		url: appserver + urlname + '.html',
		id: urlname + '-server'
	});
}
function openserverurl2(urlname,uid) {
    mui.openWindow({
        url: appserver + urlname + '.html?uid='+uid,
        id: urlname + '-server'
    });
}

function todefault() {
	//	mui.toast('返回来了');
	var defaultTab = document.getElementById("defaultTab");
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
	//切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}

}


function iflogin() {
	var types = {};
	var uid = plus.storage.getItem("uid");
	var aw = plus.storage.getItem("aw");


	types[plus.networkinfo.CONNECTION_NONE] = "yes";
	if (types[plus.networkinfo.getCurrentType()] == "yes") {
		nonetwork();
	} else {
		mui.ajax(json_iflogin, {
			data: {
				'uid': uid,
				'aw': aw,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 30000, //30秒；
			success: function(outdata) {
				if (outdata == 1) {
					plus.storage.setItem("ifloginvar_s", "1");
				} else {
					plus.storage.removeItem("ifloginvar_s");
					plus.storage.removeItem("uname");
					plus.storage.removeItem("uid");
					plus.storage.removeItem("aw");

				}
			},
			error: function(xhr, type, errorThrown) {
				//				logout();
			}
		});
	}
}


function CurentTime() {
	var now = new Date();
	var year = now.getFullYear(); //年
	var month = now.getMonth() + 1; //月
	var day = now.getDate(); //日
	var hh = now.getHours(); //时
	var mm = now.getMinutes(); //分
	var clock = year + "-";
	if (month < 10)
		clock += "0";
	clock += month + "-";
	if (day < 10)
		clock += "0";
	clock += day + " ";
	if (hh < 10)
		clock += "0";
	clock += hh + ":";
	if (mm < 10) clock += '0';
	clock += mm;
	return (clock);
}

function gajax(ajurl) {
	var types = {};
	types[plus.networkinfo.CONNECTION_NONE] = "没有网络";
	if (types[plus.networkinfo.getCurrentType()] == "没有网络") {
		nonetwork();
	} else {
		mui.ajax(ajurl, {
			data: {
				vis: 'vis'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				mui.toast(data['info']);
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('当前网络异常 请稍候再试一下');
			}
		});
	}
}

function logout() {
	plus.storage.clear();
	//plus.storage.removeItem("ifloginvar_s");
	//plus.storage.removeItem("uname");
	//plus.storage.removeItem("uid");
	//plus.storage.removeItem("aw");

	var types = {};
	types[plus.networkinfo.CONNECTION_NONE] = "没有网络";
	if (types[plus.networkinfo.getCurrentType()] == "没有网络") {
		nonetwork();
	} else {
		mui.ajax(json_logout, {
			data: {
				vis: 'vis'
			},
			dataType: 'json',            // 服务器返回json格式数据
			type: 'post',                // HTTP请求类型
			timeout: 10000,              // 超时时间设置为10秒；
			success: function(data) {
				mui.toast(data['info']);
				initset();
			},
			error: function(xhr, type, errorThrown) {
				mui.toast('当前网络异常 请稍候再试一下');
			}
		});
	}
}

function get_pwd_hash(pwd){
    var salt = '';
    return MD5(salt + pwd);
}

function get_user_token(name,pw){
    var u_n = name;
    var u_p = pw;
    var pwd_hash = get_pwd_hash(u_p);
    var backpage = plus.webview.currentWebview().opener();
    var onSuccess = function(data){
        UserInfo.username(u_n);
        UserInfo.password(pwd_hash);
        UserInfo.uid(data.userid);
        UserInfo.token(data.token);
        UserInfo.applyBroker(data.applyBroker);
        UserInfo.applyAgency(data.applyAgency);
        var wc = plus.webview.currentWebview();
        mui.fire(backpage, 'login_success');

        //wc.close('slide-out-bottom',1000);
        setTimeout("mui.back()", 1000);
    }

    var onError = function(errcode){
        mui.toast('用户名或密码错误');
    }
    mui.web_query('get_user_token', {username:u_n,pwd:pwd_hash}, onSuccess, onError, 3);
}

/*new function for ajax*/
mui.web_query = function(func_url, params, onSuccess, onError, retry){
    var onSuccess = arguments[2]?arguments[2]:function(){};
    var onError = arguments[3]?arguments[3]:function(){};
    var retry = arguments[4]?arguments[4]:3;
    func_url = _api_baseurl + func_url;
    mui.ajax(func_url, {
        data:params,
        dataType:'json',
        type:'post',
        timeout:3000,
        success:function(data){
            if(data.status === '1'){
                onSuccess(data);
            }else{
                onError(data.code);
            }
        },
        error:function(xhr,type,errorThrown){
            retry--;
            if(retry > 0) return mui.web_query(func_url, params, onSuccess, onError, retry);
            onError('FAILED_NETWORK');
        }
    })
};

/*UserInfo*/
function UserInfo(){};

//清除登录信息
UserInfo.clear = function(){
    plus.storage.removeItem('username');
    plus.storage.removeItem('password');
    plus.storage.removeItem('token');
    plus.storage.removeItem('uid');
    plus.storage.removeItem('applyBroker');
    plus.storage.removeItem('applyAgency');
}

//检查是否包含自动登录的信息
UserInfo.auto_login = function(){
    var username = UserInfo.username();
    var pwd = UserInfo.password();
    if(!username || !pwd){
        return false;
    }
    return true;
}

//检查是否已登录

UserInfo.has_login = function(){
    var uid = UserInfo.uid();
    var token = UserInfo.token();
    var flag = false;
    mui.ajax(_api_baseurl + 'check_user_token',{
        data:{"uid":uid,"token":token},
        dataType:'json',//服务器返回json格式数据
        type:'get',//HTTP请求类型
        async:false,
        timeout:10000,//超时时间设置为10秒；
        success:function(data){
                if(data.status == "1"){
                    flag = true;
                }
        },
        error:function(xhr,type,errorThrown){
            console.log(type);
        }
    });
    return flag;
}

UserInfo.username = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('username');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('username');
        return;
    }
    plus.storage.setItem('username', arguments[0]);
};

UserInfo.password = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('password');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('password');
        return;
    }
    plus.storage.setItem('password', arguments[0]);
};

UserInfo.uid = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('uid');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('uid');
        return;
    }
    plus.storage.setItem('uid', arguments[0]);
};
UserInfo.token = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('token');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('token');
        return;
    }
    plus.storage.setItem('token', arguments[0]);
};
UserInfo.applyBroker = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('applyBroker');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('applyBroker');
        return;
    }
    plus.storage.setItem('applyBroker', arguments[0]);
};
UserInfo.applyAgency = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('applyAgency');
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('applyAgency');
        return;
    }
    plus.storage.setItem('applyAgency', arguments[0]);
};