<div class="mui-content">
    {{if xiaoqu_images}}
    <div id="slider" class="mui-slider banner">
        <div class="mui-slider-group mui-slider-loop">
            <div class="mui-slider-item mui-slider-item-duplicate">
                <a href="javascript:;"><img src="{{slider_first_image}}" class="preview" /></a>
            </div>
            {{each xiaoqu_images as item index}}
            <div class="mui-slider-item">
                <a href="javascript:;"><img src="{{item.name}}" class="preview" /></a>
            </div>
            {{/each}}
            <div class="mui-slider-item mui-slider-item-duplicate">
                <a href="javascript:;"><img src="{{slider_last_image}}" class="preview" /></a>
            </div>
        </div>
    </div>
    {{/if}}
            <ul class="mui-table-view">
                <li class="mui-table-view-cell a_tit">
                    <a href="javascript:;">小区信息</a>
                </li>
            </ul>
            <ul class="mui-table-view mui-grid-view" id="tips">
                <li class="mui-table-view-cell mui-col-xs-12 estate_tips">
                    房屋类型:{{wylx}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    交房时间:{{jfTime}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    开发商:{{kfs}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    绿化率:{{lhl}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    容积率:{{rjl}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    楼栋数:{{if houseTotal}} {{houseTotal}}栋 {{else}} 暂无信息 {{/if}}
                </li>
                <li class="mui-table-view-cell mui-media mui-col-xs-6 estate_tips">
                    房屋总数:{{if huzongshu}} {{huzongshu}}户 {{else}} 暂无信息 {{/if}}
                </li>
                <li class="mui-table-view-cell estate_tips">
                    地址:{{address}}
                </li>
        </ul>
    {{if bmap_imgpath}}
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit" onclick="openMap('{{bd_lng}},{{bd_lat}}')">
            <a href="javascript:void(0);" class="mui-navigate-right" >地理位置</a>
        </li>
    </ul>
    <div id="map">
        <img src="{{bmap_imgpath}}">
    </div>
    {{/if}}
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit">
            <a class="mui-navigate-right" href="javascript:;">小区最新成交均价:<span class="house_price">{{price}}元/㎡</span></a>
        </li>
    </ul>
    {{if estate_price}}
    <div class="h15"></div>
    <div class="chart" id="barChart"></div>
    {{/if}}
    <div class="h15"></div>
    <ul class="mui-table-view">
        <li class="mui-table-view-cell a_tit">
            <a class="mui-navigate-right" onclick="open_houselist()">全部二手房源<span class="house_count">{{count_sale}}</span>套</a>
        </li>
    </ul>
    <div class="h15"></div>
</div>